---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 677f1bd6-e11f-5d8e-acc6-3d5752adecee
      tier: AATSR_CMP_MONTH
      value: 0.05998440086841583
    brdf:
      alpha_1:
        band_1: 0.3337428032034031
        band_11: 0.3255454537642913
        band_12: 0.2295231442077937
        band_2: 0.3337428032034031
        band_3: 0.3987547024625645
        band_4: 0.31797508386546613
        band_5: 0.31797508386546613
        band_6: 0.31797508386546613
        band_7: 0.5114129594349172
        band_8: 0.5114129594349172
        band_8a: 0.5114129594349172
      alpha_2:
        band_1: 0.15512650694315153
        band_11: 0.13797442998974138
        band_12: 0.16530148183682894
        band_2: 0.15512650694315153
        band_3: 0.1526983941181524
        band_4: 0.16135304544070797
        band_5: 0.16135304544070797
        band_6: 0.16135304544070797
        band_7: 0.11840910478940038
        band_8: 0.11840910478940038
        band_8a: 0.11840910478940038
      id:
      - 403859f6-252b-54b4-a1bc-e7c005d1156f
      - 6f0064d0-5f81-5ca3-81ce-79edc344e95f
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 6893a108-f757-5d01-b233-fe0196d7e88b
      tier: DEFINITIVE
      value: 0.329
    water_vapour:
      id:
      - c3e816e8-73e8-5d08-9b80-9e94d0949b4c
      tier: DEFINITIVE
      value: 1.6100000381469728
  id: 75247a05-f5af-4d65-82c2-e9da93fb3011
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1971.3154483693536
      BAND-11: 239.98814836188097
      BAND-12: 82.08019463974654
      BAND-2: 2014.9839348487317
      BAND-3: 1886.7404123061451
      BAND-4: 1540.5240771870424
      BAND-5: 1422.1014603283077
      BAND-6: 1297.6718099814034
      BAND-7: 1187.9451798820292
      BAND-8: 1052.1276981699932
      BAND-8A: 959.4576123098847
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2018-10-23 00:20:51.463000Z
    atime: 2022-08-21 19:53:56Z
    ctime: 2018-10-23 04:42:39Z
    mtime: 2018-10-23 04:42:33Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2018/2018-10/30S145E-35S150E/S2A_MSIL1C_20181023T002051_N0206_R116_T55HCC_20181023T015136.zip
  system_information:
    hostname: gadi-cpu-clx-3024.gadi.nci.org.au
    runtime_id: fda7475a-218a-11ed-93e6-00000087fe80
    time_processed: 2022-08-21 19:53:56.288868Z
    uname: 'Linux gadi-cpu-clx-3024.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 187.0
    green: 472.0
    red: 48.0
    teal: 797.0
    yellow: 71.0
  error_message: no errors
  final_qa_count: 1429
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20181023T015136_A017416_T55HCC_N02.06
  ref_date: '2014-04-27T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/093/083/LC80930832014117LGN00_B6.TIF
  residual:
    abs:
      x: 0.74
      xy: 0.89
      y: 0.49
    abs_iterative_mean:
      x: 0.55
      xy: 0.61
      y: 0.26
    cep90: 1.05
    iterative_mean:
      x: 0.54
      xy: 0.56
      y: 0.16
    iterative_stddev:
      x: 0.3
      xy: 0.42
      y: 0.3
    mean:
      x: 0.52
      xy: 0.53
      y: 0.11
    stddev:
      x: 1.06
      xy: 1.59
      y: 1.18
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 19.881964558843535
    cloud: 79.50350529693
    cloud_shadow: 0.5850677336836971
    snow: 0.01756463979880624
    water: 0.011897770743959046
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 22.591567380333842
    cloud: 77.40843261966616
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
